/* CSS resets for input elements*/
[type='text'],input:where(:not([type])),[type='email'],[type='url'],[type='password'],[type='number'],[type='date'],[type='datetime-local'],[type='month'],[type='search'],[type='tel'],[type='time'],[type='week'],[multiple],textarea,select{-webkit-appearance:none;-moz-appearance:none;appearance:none;background-color:#fff;border-color:#6b7280;border-width:1px;border-radius:0px;padding-top:0.5rem;padding-right:0.75rem;padding-bottom:0.5rem;padding-left:0.75rem;font-size:1rem;line-height:1.5rem;--tw-shadow:0 0 #0000;}
[type='text']:focus, input:where(:not([type])):focus, [type='email']:focus, [type='url']:focus, [type='password']:focus, [type='number']:focus, [type='date']:focus, [type='datetime-local']:focus, [type='month']:focus, [type='search']:focus, [type='tel']:focus, [type='time']:focus, [type='week']:focus, [multiple]:focus, textarea:focus, select:focus{outline:2px solid transparent;outline-offset:2px;--tw-ring-inset:var(--tw-empty,/*!*/ /*!*/);--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:#2563eb;--tw-ring-offset-shadow:var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color);--tw-ring-shadow:var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color);box-shadow:var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow);border-color:#2563eb}
[type="search"]::-webkit-search-cancel-button,[type="search"]::-webkit-search-decoration,input[type="search"]::-webkit-search-results-button,input[type="search"]::-webkit-search-results-decoration {-webkit-appearance: none; appearance: none;}
input::-moz-placeholder, textarea::-moz-placeholder{color:#6b7280;opacity:1}
input::placeholder,textarea::placeholder{color:#6b7280;opacity:1}
::-webkit-datetime-edit-fields-wrapper{padding:0}
::-webkit-date-and-time-value{min-height:1.5em;text-align:inherit}
::-webkit-datetime-edit{display:inline-flex}
::-webkit-datetime-edit,::-webkit-datetime-edit-year-field,::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field,::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field,::-webkit-datetime-edit-millisecond-field,::-webkit-datetime-edit-meridiem-field{padding-top:0;padding-bottom:0}
select{background-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='none' viewBox='0 0 20 20'%3e%3cpath stroke='%236b7280' stroke-linecap='round' stroke-linejoin='round' stroke-width='1.5' d='M6 8l4 4 4-4'/%3e%3c/svg%3e");background-position:right 0.5rem center;background-repeat:no-repeat;background-size:1.5em 1.5em;padding-right:2.5rem;-webkit-print-color-adjust:exact;print-color-adjust:exact}
/* End of CSS resets */
.loader {
    display: none;
}
.htmx-request .loader {
    display: flex;
}
.htmx-request .loader-hide {
    display: none;
}
.htmx-request.loader {
    display: flex;
}
.validation-summary-errors ul {
    list-style: disc;
    padding-left: 2rem;
}
.action-buttons-container {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 25;
    background: white;
    padding: 1rem;
    border-radius: 8px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.15);
    animation: slide-in 1s ease-in;
}
.action-buttons-container.attached {
    transform: none;
    animation: none;
}
.action-buttons-inner {
    display: flex;
    gap: 1rem;
    justify-content: flex-end;
}
@keyframes slide-in {
    from {
        transform: translate(0vw, -50vh);
    }

    to {
        transform: translate(0vw, 0vh);
    }
}
.points circle {
    cursor: pointer;
}
tr.safari-overlay {
    /* 
        fix for ENG-4964
        https://kycglobal.atlassian.net/browse/ENG-4964
    */

    transform: translate(0);
    clip-path: inset(0);
}
[x-cloak] {
    display: none !important;
}